import { fileURLToPath, URL } from 'node:url';
import { defineConfig, loadEnv } from 'vite';
import vue from '@vitejs/plugin-vue';
export default defineConfig(({ mode }) => {
  const env = loadEnv(mode, __dirname);
  return {
    // 静态路径
    base: env.VITE_BASE_URL,
    // 打包名称
    build: {
      outDir: env.VITE_OUT_DIR
    },
    plugins: [vue()],
    server: {
      port: 10001,
      proxy: {
        '/files': {
          target: 'https://broadcast.waityou24.cn',
          changeOrigin: true,
        },
        '/material/v1/api': {
          target: 'http://192.168.3.15:13004',
          changeOrigin: true,
          ws: false
        }
      },
      fs: { strict: false }
    },
    resolve: {
      alias: {
        '@': fileURLToPath(new URL('./src', import.meta.url))
      }
    }
  };
});
